## xdotool 3.20140805.1

=== debian/changelog ===
xdotool (1:3.20140805.1-2) unstable; urgency=medium

  * made libxdo3 multiarch.
  * revert ABI change for xdo_t (Closes: #764076)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 06 Oct 2014 14:37:07 -0400

xdotool (1:3.20140805.1-1) unstable; urgency=medium

  * new upstream version (pulled from git)
   - debian/gbp.conf: pristine-tar = False because upstream=git
   - removed all debian/patches (applied upstream)
   - added libxkcommon-dev to build-deps
   - dropped globally unused symbol from API without bumping SONAME.
     added debian/libxdo-dev.NEWS about this.
  * wrap-and-sort, cleaning up debian/copyright
  * bump Standards-Version to 3.9.6 (no changes needed)
  * make package short description more findable (Closes: #763914)
  * updated debian/copyright to format 1.0

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 03 Oct 2014 14:22:37 -0400

xdotool (1:3.20130111.1-5) unstable; urgency=medium

  * re-add ruby-test-unit to the build-dep because apparently
    Test::Unit::AssertionFailedError depends on it.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 05 Aug 2014 15:51:39 -0400

xdotool (1:3.20130111.1-4) unstable; urgency=medium

  * acknowledge NMU (thanks, Christian Hofstaedtler)
  * bump standards-version to 3.9.5 (no changes needed)
  * move Vcs to collab-maint
  * patch test suite to deal with ruby file descriptor closure (Closes: #752974)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 04 Aug 2014 21:20:02 -0400
