=== debian/changelog ===
xdotool (1:3.20150503.1-2) unstable; urgency=medium

  * record upstream version info, making build reproducible (Closes:
    #795809)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 18 Aug 2015 14:30:29 +0200

xdotool (1:3.20150503.1-1) unstable; urgency=medium

  * new upstream tarball released.
  * added windowclose command (adopted upstream already).

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 14 May 2015 15:49:09 -0400
