=== debian/control ===
Source: xdotool
Section: x11
Priority: extra
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends: debhelper (>= 9),
               dh-exec (>= 0.3),
               doxygen,
               libx11-dev,
               libxinerama-dev,
               libxkbcommon-dev,
               libxtst-dev,
               openbox,
               perl,
               pkg-config,
               procps,
               ruby,
               ruby-test-unit,
               x11-utils,
               x11-xkb-utils,
               xauth,
               xfonts-base,
               xkb-data,
               xterm,
               xvfb
Standards-Version: 3.9.6
Homepage: http://www.semicomplete.com/blog/projects/xdotool/
Vcs-Git: git://anonscm.debian.org/collab-maint/xdotool.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/packages/xdotool.git

Package: xdotool
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: simulate (generate) X11 keyboard/mouse input events
 xdotool lets you programatically (or manually) simulate keyboard
 input and mouse activity, move and resize windows, etc. It does this
 using X11's XTEST extension and other Xlib functions.

Package: libxdo3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for simulating (generating) X11 keyboard/mouse input events
 libxdo lets you programatically (or manually) simulate keyboard
 input and mouse activity, move and resize windows, etc. It does this
 using X11's XTEST extension and other Xlib functions.

Package: libxdo-dev
Architecture: any
Section: libdevel
Depends: libx11-dev,
         libxdo3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for simulating X11 keyboard/mouse input
 libxdo lets you programatically (or manually) simulate keyboard
 input and mouse activity, move and resize windows, etc. It does this
 using X11's XTEST extension and other Xlib functions.
 .
 This package contains developer tools (headers, libraries) for libxdo.

Package: libxdo3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libxdo3 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libxdo3
 libxdo lets you programatically (or manually) simulate keyboard
 input and mouse activity, move and resize windows, etc. It does this
 using X11's XTEST extension and other Xlib functions.
 .
 This package contains the debugging symbols for libxdo3
