## xdotool 3.20160512.1

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 INSTALLLIB?=$(PREFIX)/lib
 INSTALLMAN?=$(PREFIX)/man
 INSTALLINCLUDE?=$(PREFIX)/include
+LDCONFIG?=ldconfig
 
 DPREFIX=$(DESTDIR)$(PREFIX)
 DINSTALLBIN=$(DESTDIR)$(INSTALLBIN)
@@ -28,7 +29,7 @@
 CFLAGS+=-g # TODO(sissel): Comment before release
 CFLAGS+=$(CPPFLAGS)
 
-DEFAULT_LIBS=-L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst -lXinerama
+DEFAULT_LIBS=-L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst -lXinerama -lxkbcommon
 DEFAULT_INC=-I/usr/X11R6/include -I/usr/local/include
 
 XDOTOOL_LIBS=$(shell pkg-config --libs x11 2> /dev/null || echo "$(DEFAULT_LIBS)")  $(shell sh platform.sh extralibs)
@@ -49,6 +50,7 @@
          cmd_windowkill.o cmd_behave.o cmd_window_select.o \
          cmd_getwindowname.o cmd_behave_screen_edge.o \
          cmd_windowminimize.o cmd_exec.o cmd_getwindowgeometry.o \
+         cmd_windowclose.o \
          cmd_sleep.o cmd_get_display_geometry.o
 
 .PHONY: all
@@ -76,7 +78,7 @@
 post-install:
 	@if [ "$$(uname)" = "Linux" ] ; then \
 		echo "Running ldconfig to update library cache"; \
-		ldconfig \
+		$(LDCONFIG) \
 		  || echo "Failed running 'ldconfig'. Maybe you need to be root?"; \
 	fi
 
@@ -231,7 +233,7 @@
 	wd=$$PWD; \
 	cd $(DEBDIR)/$*; \
 	  ar -qc $$wd/$*_$(VERSION)-1_$(shell uname -m).deb \
-	    debian-binary data.tar.gz control.tar.gz
+	    debian-binary control.tar.gz data.tar.gz
 
 $(DEBDIR)/usr:
 	$(MAKE) install DESTDIR=$(DEBDIR) PREFIX=/usr INSTALLMAN=/usr/share/man
