=== debian/changelog ===
xdotool (1:3.20160512.1-1) unstable; urgency=medium

  * new upstream release (pulled from git)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 16 May 2016 09:55:10 -0400
