=== debian/control ===
--- 
+++ 
@@ -22,10 +22,10 @@
                xkb-data,
                xterm,
                xvfb
-Standards-Version: 3.9.6
-Homepage: http://www.semicomplete.com/blog/projects/xdotool/
-Vcs-Git: git://anonscm.debian.org/collab-maint/xdotool.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/packages/xdotool.git
+Standards-Version: 3.9.8
+Homepage: https://www.semicomplete.com/blog/projects/xdotool/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/xdotool.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/packages/xdotool.git
 
 Package: xdotool
 Architecture: any
