=== debian/changelog ===
xdotool (1:3.20160805.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename MiniTest to Minitest. Closes: #1094113.

 -- Margarita Manterola <marga@debian.org>  Sun, 06 Apr 2025 17:26:23 +0200

xdotool (1:3.20160805.1-5) unstable; urgency=medium

  * move to dh 13
  * Standards-Version: bump to 4.6.0 (no changes needed)
  * Rules-Requires-Root: no
  * d/gbp.conf: DEP-14: unstable (sid) packaging on branch "debian/unstable"
  * complete transition to dh 13 (install from installed files; drop dh-exec)
  * d/copyright: update to 2022
  * d/watch: move to version 4
  * ABI preservation patch: note forwarding
  * add d/upstream/metadata to point to github
  * d/libxdo3.symbols: add Build-Depends-Package: libxdo-dev

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 20 Apr 2022 16:39:53 -0400

xdotool (1:3.20160805.1-4) unstable; urgency=medium

  * use dep-14 branch names
  * use github for Homepage: and salsa for Vcs-*
  * bump Standards-Version to 4.1.4 (priority: extra → optional)
  * move to debhelper 11
  * d/changelog: remove trailing whitespace
  * -dbg→-dbgsym migration is completed
  * use debian/clean instead of override_dh_clean

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 11 Jun 2018 08:11:09 -0400

xdotool (1:3.20160805.1-3) unstable; urgency=medium

  * drop 00003-Fixed-type-window... (Closes: #850257)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 24 Jan 2017 23:49:12 -0500

xdotool (1:3.20160805.1-2) unstable; urgency=medium

  * disable parallel build, in an attempt to avoid ephemeral test suite
    errors.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 04 Jan 2017 14:49:19 -0500

xdotool (1:3.20160805.1-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 03 Jan 2017 00:51:30 -0500
