=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
             https://github.com/jordansissel/xdotool/tags \
             (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
